#
# spec file for package qpopper (Version 4.0.5)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  openssl openssl-devel pam-devel postfix

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool openssl-devel pam-devel perl postfix rpm

Name:         qpopper
Version:      4.0.5
Release:      175.4
License:      FSR, Other License(s), see package
Group:        Productivity/Networking/Email/Servers
Provides:     pop
Obsoletes:    pop
URL:          http://www.qpopper.org
Source0:      qpopper%{version}-no-test.tar.bz2
# pam config
Source1:      pop3
# xinetd config
Source2:      qpopper.xinetd
# show that SuSE has modified qpopper
Patch0:       banner.diff
# make response to 'wrong password' and 'non existing account' identical
Patch1:       auth-text.diff
# fix some race condition in popauth
Patch2:       popauth.diff
# fix some minor security problems
Patch3:       security1.diff
# fix some compile warnings
Patch4:       include1.diff
# fix path in manpage
Patch5:       manpage.diff
# fix permission handling
Patch6:       patch.CAN-2005-1151.qpopper
Patch7:       patch.CAN-2005-1152.qpopper
Summary:      POP3 Mail Daemon from Qualcomm Inc.
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     pam inet-daemon
Prereq:       /usr/sbin/useradd

%description
A mail server with the POP3 protocol. The daemon also supports the more
secure APOP protocol.

You have to agree to the license in
/usr/share/doc/packages/qpopper/License.txt before being allowed to use
qpopper.

After installation you have to activate the server in the file
/etc/inetd.conf or /etc/xinetd.d/qpopper.



Authors:
--------
    QUALCOMM Incorporated

%prep
%setup -q -n %{name}%{version}
%patch0
%patch1
%patch2
%patch3 -p1
%patch4
%patch5
%patch6
%patch7 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
 --enable-uw-kludge \
 --enable-debugging \
 --with-pam \
 --with-warnings \
 --prefix=/usr \
 --enable-specialauth \
 --enable-apop=/etc/pop.auth \
 --with-popuid \
 --enable-shy \
 --with-openssl
make CFLAGS="$RPM_OPT_FLAGS \
 -DBLOCK_UID=100 \
 -DPOP_TIMEOUT=600 \
 -DNONAUTHFILE=\\\"/etc/mail/pop.nonauthfile\\\""

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -m 644 popper/popper $RPM_BUILD_ROOT/usr/sbin/popper
install -m 644 popper/popauth $RPM_BUILD_ROOT/usr/sbin/popauth
install -d -m 755 $RPM_BUILD_ROOT/usr/share/man/man8
install -m 644 man/popper.8 $RPM_BUILD_ROOT/usr/share/man/man8/popper.8
install -m 644 man/popauth.8 $RPM_BUILD_ROOT/usr/share/man/man8/popauth.8
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/pam.d/pop3
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 %{S:2} $RPM_BUILD_ROOT/etc/xinetd.d/qpopper
install -d -m 755 $RPM_BUILD_ROOT/var/lib/pop

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -r -o -u 67 -g users -s /bin/false -c "POP admin" -d /var/lib/pop pop 2> /dev/null || :

%files
%defattr (-, root, root)
%doc INSTALL License.txt README GUIDE.pdf doc/Changes doc/Release.Notes
%attr (755, pop, root) %dir /var/lib/pop
%attr (4750, pop, trusted) /usr/sbin/popauth
%attr (755, root, root) /usr/sbin/popper
/usr/share/man/man8/*
%config /etc/pam.d/pop3
%config(noreplace) /etc/xinetd.d/qpopper

%changelog -n qpopper
* Mon May 02 2005 - hvogel@suse.de
- fix permissions handling (popauth, pop_config) to fix
  CAN-2005-1151 and CAN-2005-1152
* Fri Mar 26 2004 - ro@suse.de
- added postfix to neededforbuild
* Wed Feb 18 2004 - arvin@suse.de
- fixed permission on documentation directory
* Tue Jan 20 2004 - arvin@suse.de
- build as non root user
* Mon Jan 19 2004 - arvin@suse.de
- fixed some compile warnings
* Sat Jan 17 2004 - ro@suse.de
- added pam-devel to neededforbuild
* Thu Jun 12 2003 - arvin@suse.de
- don't include directory /etc/xinetd.d
* Fri Mar 14 2003 - arvin@suse.de
- updated to version 4.0.5 (maintenance release)
* Thu Mar 13 2003 - arvin@suse.de
- fixed buffer overflow after authentication
* Thu Mar 06 2003 - arvin@suse.de
- don't use tcpwrapper config file for xinetd (bug #24773)
* Mon Mar 03 2003 - arvin@suse.de
- added config file for xinetd
* Fri Feb 07 2003 - kukuk@suse.de
- use pam_unix2.so instead of pam_unix.so
* Thu Dec 05 2002 - arvin@suse.de
- create user pop with group name users instead of fixed gid 100
* Fri Nov 15 2002 - arvin@suse.de
- compile with ssl support
* Wed Aug 21 2002 - arvin@suse.de
- added security patch by Olaf Kirch (bug #18107)
* Mon Jun 17 2002 - arvin@suse.de
- create user pop in install section and in preinstall script
* Tue Apr 16 2002 - arvin@suse.de
- don't include documentation in FrameMaker format in package
* Mon Apr 15 2002 - arvin@suse.de
- updated to version 4.0.4. extract from changes:
- Fixed DOS attack seen on some systems.
- Fixed "noop has null function" log entry.
- Allow '-p' to be used when APOP not defined.
- Restrict clear-text-password=never to APOP.
- Restrict clear-text-password=tls to QPOP_SSL.
- Fixed qpopper hanging on I/O error on some platforms.
* Mon Feb 04 2002 - arvin@suse.de
- fixed race condition in popauth
* Mon Sep 17 2001 - arvin@suse.de
- added auth-text.diff to make response to 'wrong password'
  and 'non existing account' identical
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Mon Jun 18 2001 - arvin@suse.de
- updated to version 4.0.3
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Jan 25 2001 - ro@suse.de
- added provides: pop and obsoletes: pop
  (fetchmail split-aliases need a pop package replacement)
* Fri Dec 15 2000 - arvin@suse.de
- renamed program qpopper to popper
* Fri Nov 17 2000 - arvin@suse.de
- updated to version 3.1.2
* Tue Oct 24 2000 - arvin@suse.de
- new package with qpopper 3.1 from qualcomm
